<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
# This file is part of Vogue, a theme for Dotclear.
# 
# Copyright (c) 2009 annso
# contact@as-i-am.fr
# 
# Licensed under the GPL version 2.0 license.
# A copy of this license is available in LICENSE file or at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_RC_PATH')) { return; }

# Redefines 'home' urlHandler
$core->url->registerDefault(array('urlVogueHomePage','home'));

class urlVogueHomePage extends dcUrlHandlers
{
	public static function home($args)
	{
		$core =& $GLOBALS['core'];
		
		$n = self::getPageNumber($args);
		
		if ($args && !$n)
		{
			self::p404();
		}
		if (!$n && empty($_GET['q']))
		{
			# The entry
			$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates');
			//header('Pragma: no-cache');
			//header('Cache-Control: no-cache');
			self::serveDocument('homepage.html');
			$core->blog->publishScheduledEntries();
			exit;
		}		
		else
		{
			if ($n) {
				$GLOBALS['_page_number'] = $n;
				$core->url->type = $n > 0 ? 'defaut-page' : 'default';
			}
			
			if (empty($_GET['q'])) {
				self::serveDocument('home.html');
				$core->blog->publishScheduledEntries();
				exit;
			} else {
				self::search();
			}
		}
	}
}

$core->addBehavior('templateBeforeBlock',array('behaviorsExcludeCurrentPost','templateBeforeBlock'));

class behaviorsExcludeCurrentPost 
{
	public static function templateBeforeBlock($core,$b,$attr)
	{
	       if ($b == 'Entries' && isset($attr['exclude_current']) && $attr['exclude_current'] == 1)
	       {
		       return
		       "<?php\n".
		       '$params["sql"] .= "AND P.post_url != \'".$_ctx->posts->post_url."\' ";'."\n".
		       "?>\n";
	       }
	}
}

?>
